{% extends 'base.html' %}

{% block links %}
<li>
  <a href="{% url 'mealplan_new' %}">Create a mealplan</a>
</li>
{% endblock links%}

{% block pagination %}
  <div class="pagination">
    <span class="step-links">
      {% if page_obj.has_previous %}
        <a href="?page=1">&laquo; first</a>
        <a href="?page={{ page_obj.previous_page_number }}">previous</a>
      {% endif %}

      <span class="current">
        Page {{ page_obj.number }} of {{ page_obj.paginator.num_pages }}.
      </span>

      {% if page_obj.has_next %}
        <a href="?page={{ page_obj.next_page_number }}">next</a>
        <a href="?page={{ page_obj.paginator.num_pages }}">last &raquo;</a>
      {% endif %}
    </span>
  </div>
{% endblock pagination %}


{% block content %}
  <main class="recipe-grid">
    {% for meal in mealplan_list %}
      <div class="recipe-card">
        <h2 class="recipe-card-title">
          <a href="{% url 'mealplan_detail' meal.pk %}">{{ meal.name }}</a>
        </h2>
        {% for recipe in mealplans.recipes.all %}
          <p>
            <a href="{% url 'recipe_detail' recipe.pk %}">{{ recipe.name }}</a>
          </p>
        {% endfor %}
      </div>
    {% empty %}
      <div>
        <h1>No mealplans, yet</h1>
        <p>
          Would you like to
          <a href="{% url 'mealplan_new' %}">create</a>
          one?
        </p>
      </div>
    {% endfor %}
  </main>
{% endblock content %}